Skip to content

List branches

GET
/api/orgs/{org}/projects/{project}/branches
curl --request GET \
--url https://api.wrktr.com/api/orgs/example/projects/example/branches \
--header 'Authorization: Bearer <token>'
org
required
string
project
required
string

Success

Media typeapplication/json
Array<object>
object
name
required
string
head
required
string
landed
required
boolean
closed
required
boolean
updatedAt
required
Any of:
Any of:
number
Example
[
{
"updatedAt": "Infinity"
}
]

Unauthorized

Media typeapplication/json
object
_tag
required
string
Allowed values: Unauthorized
message
required
string
Example
{
"_tag": "Unauthorized"
}

ProjectNotFound

Media typeapplication/json
object
_tag
required
string
Allowed values: ProjectNotFound
project
required
string
Example
{
"_tag": "ProjectNotFound"
}